org.apache.lucene.store

## Class FSDirectory.FSIndexInput.Descriptor

- java.lang.Object
- - java.io.RandomAccessFile
  - - org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput.Descriptor
    - - org.apache.lucene.store.FSDirectory.FSIndexInput.Descriptor

- All Implemented Interfaces:
    java.io.Closeable, java.io.DataInput, java.io.DataOutput, java.lang.AutoCloseable
  Enclosing class:
    FSDirectory.FSIndexInput

  Deprecated.

      protected static class FSDirectory.FSIndexInput.Descriptor
      extends SimpleFSDirectory.SimpleFSIndexInput.Descriptor

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput.Descriptor

      `isOpen`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Descriptor(java.io.File file, java.lang.String mode)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.store.SimpleFSDirectory.SimpleFSIndexInput.Descriptor

      `close`

    - ### Methods inherited from class java.io.RandomAccessFile

      `getChannel, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Descriptor

          public Descriptor(java.io.File file,
                            java.lang.String mode)
                     throws java.io.IOException

      Deprecated.
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.